Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.jni
Class STCComVartype

    java.lang.Object
      com.stc.connector.msmqadapter.jni.STCComVartype

    public class STCComVartype

extends java.lang.Object

Field Summary
`static int` | `VT_ARRAY`
`static int` | `VT_BLOB`
`static int` | `VT_BLOB_OBJECT`
`static int` | `VT_BOOL`
`static int` | `VT_BSTR`
`static int` | `VT_BSTR_BLOB`
`static int` | `VT_BYREF`
`static int` | `VT_CARRAY`
`static int` | `VT_CF`
`static int` | `VT_CLSID`
`static int` | `VT_CY`
`static int` | `VT_DATE`
`static int` | `VT_DECIMAL`
`static int` | `VT_DISPATCH`
`static int` | `VT_EMPTY`
`static int` | `VT_ERROR`
`static int` | `VT_FILETIME`
`static int` | `VT_HRESULT`
`static int` | `VT_I1`
`static int` | `VT_I2`
`static int` | `VT_I4`
`static int` | `VT_I8`
`static int` | `VT_ILLEGAL`
`static int` | `VT_ILLEGALMASKED`
`static int` | `VT_INT`
`static int` | `VT_LPSTR`
`static int` | `VT_LPWSTR`
`static int` | `VT_NULL`
`static int` | `VT_PTR`
`static int` | `VT_R4`
`static int` | `VT_R8`
`static int` | `VT_RECORD`
`static int` | `VT_RESERVED`
`static int` | `VT_SAFEARRAY`
`static int` | `VT_STORAGE`
`static int` | `VT_STORED_OBJECT`
`static int` | `VT_STREAM`
`static int` | `VT_STREAMED_OBJECT`
`static int` | `VT_TYPEMASK`
`static int` | `VT_UI1`
`static int` | `VT_UI2`
`static int` | `VT_UI4`
`static int` | `VT_UI8`
`static int` | `VT_UINT`
`static int` | `VT_UNKNOWN`
`static int` | `VT_USERDEFINED`
`static int` | `VT_VARIANT`
`static int` | `VT_VECTOR`
`static int` | `VT_VERSIONED_STREAM`
`static int` | `VT_VOID`

Constructor Summary
`STCComVartype()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VT_EMPTY

    public static final int VT_EMPTY

See Also:
  Constant Field Values

### VT_NULL

    public static final int VT_NULL

See Also:
  Constant Field Values

### VT_I2

    public static final int VT_I2

See Also:
  Constant Field Values

### VT_I4

    public static final int VT_I4

See Also:
  Constant Field Values

### VT_R4

    public static final int VT_R4

See Also:
  Constant Field Values

### VT_R8

    public static final int VT_R8

See Also:
  Constant Field Values

### VT_CY

    public static final int VT_CY

See Also:
  Constant Field Values

### VT_DATE

    public static final int VT_DATE

See Also:
  Constant Field Values

### VT_BSTR

    public static final int VT_BSTR

See Also:
  Constant Field Values

### VT_DISPATCH

    public static final int VT_DISPATCH

See Also:
  Constant Field Values

### VT_ERROR

    public static final int VT_ERROR

See Also:
  Constant Field Values

### VT_BOOL

    public static final int VT_BOOL

See Also:
  Constant Field Values

### VT_VARIANT

    public static final int VT_VARIANT

See Also:
  Constant Field Values

### VT_UNKNOWN

    public static final int VT_UNKNOWN

See Also:
  Constant Field Values

### VT_DECIMAL

    public static final int VT_DECIMAL

See Also:
  Constant Field Values

### VT_I1

    public static final int VT_I1

See Also:
  Constant Field Values

### VT_UI1

    public static final int VT_UI1

See Also:
  Constant Field Values

### VT_UI2

    public static final int VT_UI2

See Also:
  Constant Field Values

### VT_UI4

    public static final int VT_UI4

See Also:
  Constant Field Values

### VT_I8

    public static final int VT_I8

See Also:
  Constant Field Values

### VT_UI8

    public static final int VT_UI8

See Also:
  Constant Field Values

### VT_INT

    public static final int VT_INT

See Also:
  Constant Field Values

### VT_UINT

    public static final int VT_UINT

See Also:
  Constant Field Values

### VT_VOID

    public static final int VT_VOID

See Also:
  Constant Field Values

### VT_HRESULT

    public static final int VT_HRESULT

See Also:
  Constant Field Values

### VT_PTR

    public static final int VT_PTR

See Also:
  Constant Field Values

### VT_SAFEARRAY

    public static final int VT_SAFEARRAY

See Also:
  Constant Field Values

### VT_CARRAY

    public static final int VT_CARRAY

See Also:
  Constant Field Values

### VT_USERDEFINED

    public static final int VT_USERDEFINED

See Also:
  Constant Field Values

### VT_LPSTR

    public static final int VT_LPSTR

See Also:
  Constant Field Values

### VT_LPWSTR

    public static final int VT_LPWSTR

See Also:
  Constant Field Values

### VT_RECORD

    public static final int VT_RECORD

See Also:
  Constant Field Values

### VT_FILETIME

    public static final int VT_FILETIME

See Also:
  Constant Field Values

### VT_BLOB

    public static final int VT_BLOB

See Also:
  Constant Field Values

### VT_STREAM

    public static final int VT_STREAM

See Also:
  Constant Field Values

### VT_STORAGE

    public static final int VT_STORAGE

See Also:
  Constant Field Values

### VT_STREAMED_OBJECT

    public static final int VT_STREAMED_OBJECT

See Also:
  Constant Field Values

### VT_STORED_OBJECT

    public static final int VT_STORED_OBJECT

See Also:
  Constant Field Values

### VT_BLOB_OBJECT

    public static final int VT_BLOB_OBJECT

See Also:
  Constant Field Values

### VT_CF

    public static final int VT_CF

See Also:
  Constant Field Values

### VT_CLSID

    public static final int VT_CLSID

See Also:
  Constant Field Values

### VT_VERSIONED_STREAM

    public static final int VT_VERSIONED_STREAM

See Also:
  Constant Field Values

### VT_BSTR_BLOB

    public static final int VT_BSTR_BLOB

See Also:
  Constant Field Values

### VT_VECTOR

    public static final int VT_VECTOR

See Also:
  Constant Field Values

### VT_ARRAY

    public static final int VT_ARRAY

See Also:
  Constant Field Values

### VT_BYREF

    public static final int VT_BYREF

See Also:
  Constant Field Values

### VT_RESERVED

    public static final int VT_RESERVED

See Also:
  Constant Field Values

### VT_ILLEGAL

    public static final int VT_ILLEGAL

See Also:
  Constant Field Values

### VT_ILLEGALMASKED

    public static final int VT_ILLEGALMASKED

See Also:
  Constant Field Values

### VT_TYPEMASK

    public static final int VT_TYPEMASK

See Also:
  Constant Field Values

Constructor Detail

### STCComVartype

    public STCComVartype()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD